Subject: Re: [bitcoin-dev] Bitcoin Node Speed Test

From: "Slurms MacKenzie" <[email-masked]>
Date: Fri, 24 Jul 2015 05:19:35 +0200

Yes that is completely doable for the next crawl, however I am not sure how much that reflects the behavior bitcoind would see when making connections. Nodes do not make any attempt to sync with close peers, which is an undesirable property if you are attempting to be sybil resistant. With some quick playing around it seems that you do get the expected speedup with close proximity, but it's not a particularly huge difference at present. I'll keep working on it and see where I get. 

> Sent: Friday, July 24, 2015 at 4:48 AM
> From: "Matt Corallo via bitcoin-dev" <[email-masked]>
> To: [email-masked]
> Subject: Re: [bitcoin-dev] Bitcoin Node Speed Test
>
> You may see much better throughput if you run a few servers around the
> globe and test based on closest-by-geoip. TCP throughput is rather
> significantly effected by latency, though I'm not really sure what you
> should be testing here, ideally.